{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":50694,"path":"source-to-pay-operations/supplier-lifecycle-operations/create-custom-api-rest.md","title":"Create a REST message for a custom API","bundle":null,"doc_type":null,"release":"australia","body":"\n# Create a REST message for a custom API\n\nCreate a REST message request and send it to a custom API endpoint to fetch the latest supplier news.\n\n## Before you begin\n\n-   Install the News Integration for Supplier Lifecycle Operations plugin \\(com.snc.sn\\_supplier\\_news\\).\n-   Set the application scope to News Integration for Supplier Lifecycle Operations using the application picker.\n\nRole required: admin\n\n## Procedure\n\n1.  Navigate to **All** &gt; **System Web Services** &gt; **Outbound** &gt; **REST Message**.\n\n2.  Select **New**.\n\n3.  On the form, fill in the fields.\n\n    |Field|Description|\n    |-----|-----------|\n    |Name|Name for this message.|\n    |Endpoint|Endpoint that this REST message is sent to.|\n    |Authentication type|Authentication to use, if any, and the profile record that contains the user credentials.|\n\n4.  Right-click the form header and select **Save**.\n\n    After creating the REST message, a GET HTTP method is created automatically using the values from the REST message record.\n\n5.  In the HTTP Methods related list, select **Default GET**.\n\n6.  In the **Name** field, specify a name for the GET HTTP method.\n\n7.  Select the **HTTP Request** tab.\n\n8.  In the HTTP Headers embedded list, select **Insert a new row**.\n\n9.  In the **Name** field, enter the name of the header.\n\n    Supported headers depend on the REST web service provider that you want to connect to.\n\n10. Double-click the **Value** field for the new row and enter the value that you want to assign to this header.\n\n    You can use a variable in the format $\\{variable\\} instead of a static value. You can assign a value to the variable when sending a REST request.\n\n11. In the HTTP Query Parameters embedded list, select **Insert a new row**.\n\n12. In the **Name** field, enter the name of the query parameter.\n\n13. Double-click the **Value** field for the new row and enter the value that you want to assign to this query parameter.\n\n    You can use a variable in the format $\\{variable\\} instead of a static value. You can assign a value to the variable when sending a REST request.\n\n14. Select **Update**.\n\n\n## What to do next\n\n[Add and configure the Get News data resource in UI Builder](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/source-to-pay-operations/supplier-lifecycle-operations/add-config-news-data-resource.md).\n\n**Parent Topic:**[Configuring a custom API to dynamically fetch supplier news](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/source-to-pay-operations/supplier-lifecycle-operations/config-supplier-news-api.md)\n\n**Previous topic:**[Configuring a custom API to dynamically fetch supplier news](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/source-to-pay-operations/supplier-lifecycle-operations/config-supplier-news-api.md)\n\n**Next topic:**[Add and configure the Get News data resource in UI Builder](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/source-to-pay-operations/supplier-lifecycle-operations/add-config-news-data-resource.md)\n\n**Related topics**  \n\n\n[Add and configure the Get News data resource in UI Builder](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/source-to-pay-operations/supplier-lifecycle-operations/add-config-news-data-resource.md)\n\n[Update the field names in the UX client script](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/source-to-pay-operations/supplier-lifecycle-operations/update-client-script.md)\n\n"}}